#include <bits/stdc++.h>
using namespace std;
using T = long long;

int main() {
    ios::sync_with_stdio(0);
    cout.tie();
    cin.tie();
    T n,k,i,z=0,s=0;
    cin >> n >> k;
    vector<T>A(n);
    for (i=0;i<n;i++){
        cin >>A[i];
    }
    vector <T> a(k-1);
    for (i=0;i<k-1;i++){
        a[i]=A[i];
        s+=A[i];
    }
    sort(a.begin(),a.end());
    for (i=k-1;i<n;i++){
        z=max(z,s+A[i]+i+1);
        if (k!=1 and a[0]<A[i]){
            s-=a[0];
            a[0]=A[i];
            s+=A[i];
            sort(a.begin(),a.end());
        }
    }
    cout << z;
    return 0;
}
